package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.ConsultInfo;

import java.util.List;

/**
 * 咨询列Service接口
 * 
 * @author ruoyi
 * @date 2025-08-14
 */
public interface IConsultInfoService 
{
    /**
     * 查询咨询列
     * 
     * @param id 咨询列主键
     * @return 咨询列
     */
    public ConsultInfo selectConsultInfoById(String id);

    /**
     * 查询咨询列列表
     * 
     * @param consultInfo 咨询列
     * @return 咨询列集合
     */
    public List<ConsultInfo> selectConsultInfoList(ConsultInfo consultInfo);

    /**
     * 新增咨询列
     * 
     * @param consultInfo 咨询列
     * @return 结果
     */
    public int insertConsultInfo(ConsultInfo consultInfo);

    /**
     * 修改咨询列
     * 
     * @param consultInfo 咨询列
     * @return 结果
     */
    public int updateConsultInfo(ConsultInfo consultInfo);

    /**
     * 批量删除咨询列
     * 
     * @param ids 需要删除的咨询列主键集合
     * @return 结果
     */
    public int deleteConsultInfoByIds(String[] ids);

    /**
     * 删除咨询列信息
     * 
     * @param id 咨询列主键
     * @return 结果
     */
    public int deleteConsultInfoById(String id);
}
